extends Area2D

func _ready():
    add_child($"../CollisionShape2D".duplicate())
    connect("mouse_entered", do_show)
    connect("mouse_exited", dont_show)
    $C.set_modulate(Color($"..".bullet_color, 0.3))
    $C.hide()

func do_show():
    var sc = $"..".attack_range / 256 / $"..".get_scale().x
    $C.set_scale(Vector2(sc, sc))
    $C.show()

func dont_show():
    $C.hide()
